#ifndef GmcAldCore_H
#define GmcAldCore_H

#include "gmc-common-ald_global.h"
#include <QStringList>

namespace ALD
{
class IALDCore;
}

class GMCCOMMONALDSHARED_EXPORT GmcAldCore
{

public:

    static GmcAldCore* instance();

    ~GmcAldCore();

    ALD::IALDCore *aldCore();

    const QStringList &getSupportedFileSystems();

protected:

    GmcAldCore();

protected:

    static GmcAldCore *_instance;

    ALD::IALDCore *_aldCore;

private:
    QStringList _supportedFileSystems;
};

#endif // MCALCORE_H
